
function [j0,j2]=bj0j2(m,r)

%  BESSEL J0(mr), J2(mr)

mr=m*r;

if(r==0.)
    j0=1.;
    j2=0.;
else
    if(mr>16.)
        j0=sqrt(1./(mr/2.)/pi)*cos(mr-pi/4);
        j2=sqrt(1./(mr/2.)/pi)*sin(mr-pi/4);
    else
        z9=0.;
        v1=1.;
        v2=1.;
        while(abs(v2)>0.00001)
            z9=z9+1.;
            v2=-v2*((mr/2.)/z9)^2;
            v1=v1+v2;
        end
        j0=v1;
        
        z9=0.;
        v1=1.;
        v2=1.;
        while(abs(v2)>0.00001)
            z9=z9+1.;
            v2=-v2/z9*(mr/2.)^2./(z9+1.);
            v1=v1+v2;
        end
        j2=mr*v1/2.;
    end
end