
function couc4(i,j,z,p,a,j0,j1,j2,z3,z4,u4,e4,m,a4,b4,c4,d4,r,alpha)

% function for stress computation at the 4th layer

global prov;

t1=0.;
t2=0.;

if(abs(-m*(z4-z))<20.0)
    t1=exp(-m*(z4-z)); 
end
if(abs(-m*(z-z3))<20.0)
    t2=exp(-m*(z-z3)); 
end

b=a4*t1-b4*t2-c4*(2.-4.*u4-m*z)*t1-d4*(2.-4.*u4+m*z)*t2;
prov(i,1)=prov(i,1)+(1.+u4)*p(j)*a(j)*j0*j1(j)*b/(m*e4);

b=a4*t1+b4*t2+c4*(1.+4.*u4+m*z)*t1-d4*(1.+4.*u4-m*z)*t2;
c=-p(j)*a(j)*j0*j1(j)*b/2.;

if(r ~= 0.)
    b=a4*t1+b4*t2+c4*(1.+m*z)*t1-d4*(1.-m*z)*t2;
    d=p(j)*a(j)*j1(j)*b*(j2/(m*r)-j0/2.);
    prov(i,4)=prov(i,4)+c+d*cos(2.*alpha);
    prov(i,5)=prov(i,5)+c-d*cos(2.*alpha);
    prov(i,9)=prov(i,9)+d*sin(2.*alpha);
    c=-(1.+u4)*p(j)*a(j)*j2*j1(j)*b/(m*e4);
    prov(i,2)=prov(i,2)+c*cos(alpha);
    prov(i,3)=prov(i,3)+c*sin(alpha);
    b=a4*t1-b4*t2+c4*(2.*u4+m*z)*t1+d4*(2.*u4-m*z)*t2;
    c=-p(j)*a(j)*j2*j1(j)*b;
    prov(i,8)=prov(i,8)+c*cos(alpha);
    prov(i,7)=prov(i,7)+c*sin(alpha);
else
    prov(i,4)=prov(i,4)+c;
    prov(i,5)=prov(i,5)+c;
end

b=a4*t1+b4*t2-c4*(1.-2.*u4-m*z)*t1+d4*(1.-2.*u4+m*z)*t2;
prov(i,6)=prov(i,6)+p(j)*a(j)*j0*j1(j)*b;
