function Vtz=agingf(A,VTS,Tref,maat,time,z)

% Global Aging Model

% change temprature into Rankine
Tr=Tref+459.67;

%Field aging parameters

Df=-14.5521+10.47662*log10(Tr)-1.88161*(log10(Tr))^2;
Cf=10^(274.4946-193.831*log10(Tr)+33.9366*(log10(Tr))^2);
Bf=0.197725+0.068384*log10(Cf);
Af=-0.004166+1.41213*Cf+Cf*log10(maat)+Df*log10(log10(laydown(A, VTS, Tr)*10^8));

chi=23.82*exp(-0.0308*maat);


%Correction-factor, 

Fr=1;

% Air-void correction

Fv=1;

%Aged viscosity at a given time

loglog_Vaged=Fr*Fv*(log10(log10(laydown(A, VTS, Tr)*10^8))+Af*time)/(1+Bf*time);
Vaged=10^(10^loglog_Vaged-8);

%Viscosity 
Vtz=(Vaged*(4+chi)-chi*laydown(A, VTS, Tr)*(1-4*z))/(4*(1+chi*z));
end

function Vt0=laydown(A, VTS, Tr)

%Short term aging

loglog_Vt0=A+VTS*log10(Tr); %[cP]
Vt0=10^(10^loglog_Vt0-8);   %MP   

end




