function St=tensile_strength(Tref,maat,mixparam,time,t1800,z)

% returns tensile strength at the surface after 20 years 

 
% Regression constants, an
st_c0 = 284.0097;   st_c1 = -330.0237;  st_c2 = 151.0169;
st_c3 = -34.0256;   st_c4 = 3.7786;     st_c5 = -.1652;

lambda=0.4;

% inputs in modulus estimation

p34=mixparam(1); p38=mixparam(2); p4=mixparam(3); p200=mixparam(4); 
Va=mixparam(5); Vbeff=mixparam(6); A=mixparam(7); VTS=mixparam(8);

% Dynamic modulus mater curve parameters 

% delta=
% alpha=

gama=0.37217;

% time of loading
logt = log10(t1800);
gamat=gama*logt;

% Calculate aged viscosity

Vaged=agingf(A,VTS,Tref,maat,time,z);
beta=-0.513574-0.355353*log10(Vaged);

% Calculating dynamic modulus at a given depth and time of loading

Ey=10^(delta+alpha/(1+exp(beta+gamat)));  % in psi

% Tensile strength at a given depth and time of loading

x=log10(Ey*lambda);     
% St = ;  % in Mpa

end
